<?php declare(strict_types=1);


namespace Pinpoint\DropShipping\Model\ResourceModel\Supplier;


class Collection extends \Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection
{

    /**
     * @var string
     */
    protected $_idFieldName = 'supplier_id';

    /**
     * Define resource model
     *
     * @return void
     */
    protected function _construct()
    {
        $this->_init(
            \Pinpoint\DropShipping\Model\Supplier::class,
            \Pinpoint\DropShipping\Model\ResourceModel\Supplier::class
        );
    }

    /**
     * Retrieve option array
     *
     * @return array
     */
    public function toOptionArray()
    {
        return parent::_toOptionArray('supplier_id', 'code');
    }
}

